> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transcription by Message ID

> Get the recording transcription for a message by passing the message id



## OpenAPI

````yaml /api-reference/conversations/openapi.json get /conversations/locations/{locationId}/messages/{messageId}/transcription
openapi: 3.0.0
info:
  title: Conversations API
  description: Documentation for Conversations API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Conversations
    description: Documentation for Conversations API
  - name: Search
    description: Documentation for Conversations API
  - name: Email
    description: Documentation for Conversations API
  - name: Messages
    description: Documentation for Conversations API
  - name: Providers
    description: Documentation for Conversations API
paths:
  /conversations/locations/{locationId}/messages/{messageId}/transcription:
    get:
      tags:
        - Messages
      summary: Get transcription by Message ID
      description: Get the recording transcription for a message by passing the message id
      operationId: get-message-transcription
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: locationId
          required: true
          in: path
          description: Location ID as string
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
        - name: messageId
          required: true
          in: path
          description: Message ID as string
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
      responses:
        '200':
          description: Gives the attached recording transcription to the message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMessageTranscriptionResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer: []
        - Location-Access: []
components:
  schemas:
    GetMessageTranscriptionResponseDto:
      type: object
      properties:
        mediaChannel:
          type: number
          description: Media channel describes the user interaction channel
          example: '1'
        sentenceIndex:
          type: number
          description: Index of the sentence in the transcription
          example: '1'
        startTime:
          type: number
          description: Start time of the sentence in milliseconds
          example: '34'
        endTime:
          type: number
          description: End time of the sentence in milliseconds
          example: '45'
        transcript:
          type: string
          description: Transcript of the sentence
          example: This call may be recorded for quality assurance purposes.
        confidence:
          type: number
          description: Confidence of the transcription
          example: '0.5'
      required:
        - mediaChannel
        - sentenceIndex
        - startTime
        - endTime
        - transcript
        - confidence
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````